Package org.jboss.resteasy.core

## Class ListFormInjector

- java.lang.Object
- - org.jboss.resteasy.core.FormInjector
  - - org.jboss.resteasy.core.PrefixedFormInjector
    - - org.jboss.resteasy.core.AbstractCollectionFormInjector<List>
      - - org.jboss.resteasy.core.ListFormInjector

- All Implemented Interfaces:
    `ValueInjector`

      public class ListFormInjector
      extends AbstractCollectionFormInjector<List>

  Can inject lists.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListFormInjector​(Class collectionType, Class genericType, String prefix, ResteasyProviderFactory factory)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addTo​(List collection, String key, Object value)` | Adds the item to the collection.
    `protected List` | `createInstance​(Class collectionType)` | Creates an instance of the collection type.

    - ### Methods inherited from class org.jboss.resteasy.core.AbstractCollectionFormInjector

      `inject`

    - ### Methods inherited from class org.jboss.resteasy.core.PrefixedFormInjector

      `doInject, hasValue`

    - ### Methods inherited from class org.jboss.resteasy.core.FormInjector

      `inject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListFormInjector

          public ListFormInjector​(Class collectionType,
                                  Class genericType,
                                  String prefix,
                                  ResteasyProviderFactory factory)

      Constructor.
      Parameters:
        `collectionType` - collection type
        `genericType` - generic type
        `prefix` - prefix
        `factory` - provider factory

  - ### Method Detail

    - #### createInstance

          protected List createInstance​(Class collectionType)

      Creates an instance of the collection type.
      Specified by:
        `createInstance` in class `AbstractCollectionFormInjector<List>`
      Parameters:
        `collectionType` - collection type
      Returns:
        ArrayList

    - #### addTo

          protected void addTo​(List collection,
                               String key,
                               Object value)

      Adds the item to the collection.
      Specified by:
        `addTo` in class `AbstractCollectionFormInjector<List>`
      Parameters:
        `collection` - collection
        `key` - key
        `value` - value